define([
    'jquery'
], function ($) {
    'use strict';

    const EVENT = 'Menú';
    const EVENT_CATEGORY = 'Menú';


    function initBefore() {
        window.dataLayer = window.dataLayer || [];
    }

    function initBehavioralEvent(action, label) {
        initBefore();

        dataLayer.push({
            'event': EVENT,
            'eventCategory': EVENT_CATEGORY,
            'eventAction': action,
            'eventLabel': label
        });
    }

    return function () {
        $('.menu-top-level-link').click( function (){
            let action = 'Main category';
            let label = $(this).attr('href');

            initBehavioralEvent(action, label);
        });

        $('.menu-middle-level-link').click( function (){
            let action = 'Subcategory 1';
            let label = $(this).attr('href');

            initBehavioralEvent(action, label);
        });

        $('.menu-last-level-link').click( function (){
            let action = 'Subcategory 2';
            let label = $(this).attr('href');

            initBehavioralEvent(action, label);
        });
    }
});
